Subject: Re: [PATCH]: [MPC5200] Add ATA DMA support

From: Matt Sealey <[email-masked]>
Date: Wed, 29 Oct 2008 10:34:20 -0500

Grant Likely wrote:
> On Wed, Aug 13, 2008 at 3:07 AM, Tim Yamin <[email-masked]> wrote:
>> On Wed, Aug 13, 2008 at 7:11 AM, Grant Likely <[email-masked]> wrote:
>>> Sounds good to me.  You will get more testers that way.  I can pick it
>>> up for -next if everything else looks good.
>> Here are the new patches; tested against 2.6.27-rc3.
> 
> Hi Tim,
> 
> I finally got a chance to try out your patches on my lite5200 board.
> Unfortunately, I wasn't able to get it to work easily.  I'm very early
> in the debugging this issue, but I thought I'd send you my results in
> case you've seen it before.  I've tried this with both an STEC 1GB CF
> and a Transcend Ultra industrial 1GB CF card.

[snip]

Grant, Tim,

Any chance of this being picked up even though it "doesn't work"?

I'm going to be rolling a couple kernels this weekend (2.6.27.4
for Efika, ADS512101, 8610HPCN and 8641DHPCD) and I'll patch this
in and see what happens and give some more test data (since my
Efika is nice and trashed it won't matter if I trash it some
more).

We at Genesi still hold by the fact that ATA DMA is irrevocably
broken but hold some bittersweet hope that Freescale might fix
it after the fact in some useless future revision, the biggest
problem is that if nobody writes a driver for it, nobody experiences
the problem!

Once the patch is in maybe someone will be willing to use the
BestComm-assisted PIO idea as implemented in the bplan 2.6.19
kernel and compare results?

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations